Skip to main content
GET
Get Activity Instance

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the process instance for which the activity instance should be retrieved.

Response

Request successful.

A JSON object corresponding to the Activity Instance tree of the given process instance.

id
string | null

The id of the activity instance.

parentActivityInstanceId
string | null

The id of the parent activity instance, for example a sub process instance.

activityId
string | null

The id of the activity.

activityName
string | null

The name of the activity

name
string | null

The name of the activity. This property is deprecated. Please use 'activityName'.

activityType
string | null

The type of activity (corresponds to the XML element name in the BPMN 2.0, e.g., 'userTask')

processInstanceId
string | null

The id of the process instance this activity instance is part of.

processDefinitionId
string | null

The id of the process definition.

childActivityInstances
array | null

A list of child activity instances.

childTransitionInstances
object[] | null

A list of child transition instances. A transition instance represents an execution waiting in an asynchronous continuation.

executionIds
string[] | null

A list of execution ids.

incidentIds
string[] | null

A list of incident ids.

incidents
object[] | null

A list of JSON objects containing incident specific properties:

  • id: the id of the incident
  • activityId: the activity id in which the incident occurred